﻿#ifndef TOPQUICKBUTTON_H
#define TOPQUICKBUTTON_H

#include <QToolButton>
#include <QVariant>
#include <QWidget>

class TopClassAbs;
class TopQuickButtonPrivate;

class TopQuickButton : public QToolButton
{
    Q_OBJECT
public:
    explicit TopQuickButton(QWidget *parent = nullptr);
    ~TopQuickButton();

public slots:
    void setUid(const QString &iUidStr);
    QString uid() const;

    void setData(const QVariant &iDataVar);
    QVariant data() const;

    void setModified(bool iBol);
    bool isModified() const;

    void setClosable(bool iBol);
    bool isClosable() const;

    void setActived(bool iBol);
    bool isActived() const;

    void setOpened(bool iBol);
    bool isOpened() const;

private slots:
    void changeStyleSheet();

protected:
    const QScopedPointer<TopQuickButtonPrivate> d_ptr;

private:
    Q_DISABLE_COPY(TopQuickButton)
    Q_DECLARE_PRIVATE(TopQuickButton)
};

#endif // TOPQUICKBUTTON_H
