﻿#ifndef TOPQUICKTOOLBAR_H
#define TOPQUICKTOOLBAR_H

#include <QToolBar>
#include <QVariant>
#include <QVariantList>

class QMenu;
class QStackedWidget;
class TopQuickButton;
class TopQuickToolBarPrivate;

class TopQuickToolBar : public QToolBar
{
    Q_OBJECT
public:
    explicit TopQuickToolBar(QWidget *parent = nullptr);
    ~TopQuickToolBar();

signals:
    void saveUserData();
    void userDataSaved();
    void sizeChanged(QSize);

public slots:
    void setLanguage(const QString &iLangStr);
    QString language() const;

    void loadQuickButtons(const QVariantList &iVarLst);
    TopQuickButton *addQuickButton(const QVariantMap &iParamMap);
    void clearAllButtons();

private:
    TopQuickButton *createQuickBtn(const QVariantMap &iParamMap);

protected:
    const QScopedPointer<TopQuickToolBarPrivate> d_ptr;

private:
    Q_DISABLE_COPY(TopQuickToolBar)
    Q_DECLARE_PRIVATE(TopQuickToolBar)
};

#endif // TOPQUICKTOOLBAR_H
